%global svnrev 956
%global svndate 20090630

Name:           wxcurl
Version:        1.0
Release:        1.%{svndate}svn%{svnrev}%{?dist}
Summary:        Interface between libcurl and wxWidgets

Group:          System Environment/Libraries
License:        wxWidgets
URL:            http://wxcode.sourceforge.net/components/wxcurl/
# fedora-getsvn wxcurl https://wxcode.svn.sourceforge.net/svnroot/wxcode/trunk/wxCode/components/wxcurl %{svnrev}
Source0:        %{name}-svn%{svnrev}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  curl-devel
BuildRequires:  wxGTK-devel
BuildRequires:  doxygen
BuildRequires:  dos2unix


%description
wxCURL is a simplified and integrated interface between LibCURL and wxWidgets.
As libCURL authors state, &quot;libcurl is free, thread-safe, IPv6 compatible,
feature rich, well supported, fast, thoroughly documented and is already used
by many known, big and successful companies and numerous applications. wxCURL
provides several sub-classes for simplified interfaces to HTTP, WebDAV, FTP
and Telnet based resources, threads specialized for non-blocking
downloads/uploads, stock download and upload dialogs. 


%package devel
Summary:        Development files for the %{name} library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       wxGTK-devel

%description devel
Development files for the %{name} library.


%prep
%setup -q -n %{name}

# fix EOLs
dos2unix --keepdate ReadMe.txt


%build
%configure
# parallel make doesn't work
make

# build docs
pushd docs
doxygen
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ReadMe.txt
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%doc docs/html
%{_includedir}/wx/curl
%{_libdir}/*.so


%changelog
* Thu Dec 31 2009 Dan Horák <dan[at]danny.cz> 1.0-1.20090630svn956
- initial Fedora version
